<? $DEFINITIONS = Zend_Registry::get('defines') ?>

<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/mooUpload.js"></script>
<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/video-modal.js"></script>
<link href="/css/video-modal.css" rel="stylesheet" type="text/css" />
<?
$api_conf = Zend_Registry::get('api_config');
$config = Zend_Registry::get('system_config');
$api_key = $api_conf['googleMaps'];
$this->VideoConfig = Zend_Registry::get('videos_config');
$this->host =  Cubix_Application::getById(Cubix_Application::getId())->host;
if (!in_array(Cubix_Application::getId(), array( APP_ED,APP_EG_CO_UK))){
    unset($DEFINITIONS['escort_status_options'][ESCORT_STATUS_INACTIVE]);
    unset($DEFINITIONS['escort_status_options'][ESCORT_STATUS_OFFLINE]);
}
if (!in_array(Cubix_Application::getId(), array( APP_ED))){
    unset($DEFINITIONS['escort_status_options'][ESCORT_STATUS_IP_BLOCKED]);
}
?>

<?/*<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=<?= $api_key ?>&sensor=true"></script>*/?>


<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<!--<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>-->
<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript">
Cubix.Grid.DataTypes.PreviewLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<!-- Escort Photos Popup class -->
<script type="text/javascript" src="/js/escort-photos.js?v=2" ></script>

<script type="text/javascript" src="/js/highslide/highslide.js"></script>
<link href="/js/highslide/highslide.css" media="screen" rel="stylesheet" type="text/css" />

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
<? if(in_array ($bu_user->type,array('call center') ) ){die('permission denied');} ?>
<script type="text/javascript">

function getCities()
{
	var country = $('country');
	//region = $('region');
	//region.set('disabled', 'disabled');
	$('city').set('disabled', 'disabled');
	new Request({
		url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + country.get('value'),
		method: 'get',
		onSuccess: function (resp) {
			$('city').set('html', resp);
			$('city').set('disabled', '');
		}
	}).send();
}

var map;
var latitude;
var longitude;
var fullAddress;
var defaultAddress = 'Paris, France';
var byCoord = false;



function getFullAddress()
{
	var country = $('country').getSelected()[0].get('text');
	var city = '';
	if ($('city').get('value'))
		city = $('city').getSelected()[0].get('text');
	var address = $('address').get('value');

	fullAddress = '';

	if (address)
		fullAddress += address + ',';
	if (city)
		fullAddress += city + ',';
	if (country)
		fullAddress += country;
}

function drawOnMap()
{
	
}

function centerMarker()
{
	return false;
    var coordinates = new google.maps.LatLng(latitude, longitude);
    map.setCenter(coordinates);
    createMarker(coordinates);
    updateCoordinates(longitude, latitude);
}

var photos_popup = new Cubix.Popup.Ajax({
    width: 896,
    zIndex: function () { return Cubix.Popup.zIndex + 14 }
});

window.PhotosPopup = photos_popup;

function createMarker(coordinates)
{
	return false;
    var marker = new google.maps.Marker({
        map: map,
        position: coordinates,
        draggable: true
    });

    map.setCenter(coordinates);

    google.maps.event.addListener(marker, 'dragend', function() {
        var longitude_loc = marker.getPosition().lng();
        var latitude_loc = marker.getPosition().lat();
		
        updateCoordinates(longitude_loc, latitude_loc);
    });
}

function updateCoordinates(longitude_loc, latitude_loc)
{    
    $('longitude').set('value', longitude_loc);
    $('latitude').set('value', latitude_loc);
    
    longitude = longitude_loc;
    latitude = latitude_loc;
}

function getRegionsByCountry( co_id ){
    if( !co_id ) return false;
    
    new Request({
            url: '<?= $this->baseUrl() ?>/geography/regions/ajax?country_id=' + co_id,
            method: 'get',
            onSuccess: function (resp) {
                var cities = JSON.decode(resp);
                    cities = cities.data;
                var add_areas = $$('.c-filter-form')[0].getElement('select[name=region]');

                add_areas.set('html', '');
                new Element('option', {
                        html: '- all -&nbsp;&nbsp;',
                        value: ''
                }).inject(add_areas);
                cities.each(function(city){
                    var opt_class = '';

                    new Element('option', {
                            html: city.title,
                            value: city.id,
                            'class': opt_class
                            /*,
                            price: it.price,
                            period: it.period*/
                    }).inject(add_areas);
                });
            }
    }).send();
    
    window.fireEvent('resize');
}

function getCitiesByRegion( rg_id ){
    if( !rg_id ) return false;
    
    new Request({
            url: '<?= $this->baseUrl() ?>/geography/cities/ajax?region_id=' + rg_id,
            method: 'get',
            onSuccess: function (resp) {
                var cities = JSON.decode(resp);
                    cities = cities.data;
                var add_areas = $$('.c-filter-form')[0].getElement('select[name=city]');

                add_areas.set('html', '');
                cities.each(function(city){
                    var opt_class = '';

                    new Element('option', {
                            html: city.title,
                            value: city.id,
                            'class': opt_class
                            /*,
                            price: it.price,
                            period: it.period*/
                    }).inject(add_areas);
                });
            }
    }).send();
    
    window.fireEvent('resize');
}
    
function getCoordinates(cb)
{
	return false;
	var coordinates = '';
	
        if( !fullAddress ){
            fullAddress = defaultAddress;
        }
		
		<? if (Cubix_Application::getId() == APP_A6): ?>
		new Request({
            url: '/geocode/',
            method: 'GET',
            data: { addr: fullAddress },
            onSuccess: function (resp) {
				var latLang = JSON.decode(resp);
                latitude  = latLang.lat;
				longitude = latLang.lng;
				cb(latLang);
                /*map.setCenter(latLang);
                map.setZoom(15);
                var marker = new google.maps.Marker({
                    map: map,
                    position: latLang
                });*/
            },
            onFailure: function () {
				if( fullAddress == defaultAddress ){
					return;
				}
				fullAddress = defaultAddress;            
				getCoordinates(cb);
            }
        }).send();
		<? else: ?>
        geocoder = new google.maps.Geocoder();
        
        geocoder.geocode( {'address': fullAddress}, function(results, status) {
			
          if (status == google.maps.GeocoderStatus.OK) {
            coordinates = results[0].geometry.location;
			
            latitude  = coordinates.lat();
            longitude = coordinates.lng();
			if(typeof cb=='function')
			cb(coordinates);
          } else {
            if( fullAddress == defaultAddress ){
                return;
            }
            fullAddress = defaultAddress;            
            getCoordinates(cb);
          }
		});
		<? endif;?>
}

function getCoordinatesLatLon(cb)
{
	return false;
	var coordinates = '';
	
	coordinates = new google.maps.LatLng(latitude, longitude);
	cb(coordinates);
}

function getCoord()
{
	byCoord = true;
	updateCoordinates($('longitude').get('value'), $('latitude').get('value'));
	getFullAddress();
	//console.log(longitude);
	//console.log(latitude);
	//googleMapsInit();
}

document.addEvent('domready', function () {
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content, 
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();


	new Cubix.Shadow($('content'));

	var initDateFilter = function(filter_form)
	{
		<? if ( in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK, APP_EG, APP_6C, APP_6B))): ?>
		hand_date_from_picker = $('f-hand-date-from');
		var date_from =	new Picker.Date(hand_date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		hand_date_to_picker = $('f-hand-date-to');
		var date_to = new Picker.Date(hand_date_to_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		<? endif; ?>

		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow','after_tomorrow':'The day after tomorrow' ,'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		if (date_from_picker) {
            var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
                positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
        }
		date_to_picker = $(filter_form).getElement('.f-date-to');
        if (date_to_picker) {
            var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
                positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
        }
		
		commonDatePickers = $(filter_form).getElements('.c-datepicker');
        if(commonDatePickers){
            new Picker.Date(commonDatePickers, { pickerClass: 'datepicker',
                positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
        }

		if ($(filter_form).getElement('.f-filter-by')) {
            $(filter_form).getElement('.f-filter-by').addEvent('change', function()
            {

                if ( ['last_modified_date','last_modified_date_backend'].indexOf(this.get('value')) != -1)
                {
                    $(filter_form).getElement('.f-dates-defined').set('html', '');
                    new Element('option', {
                        value: '',
                        html: '- any -'
                    }).inject($(filter_form).getElement('.f-dates-defined'));
                    for ( var it in defined_dates) {
                        new Element('option', {
                            value: it,
                            html: defined_dates[it]
                        }).inject($(filter_form).getElement('.f-dates-defined'));
                    };

                    $(filter_form).getElement('.f-dates-defined').set('disabled', '');
                    $(filter_form).getElement('.f-date-from').set('disabled', '');
                    $(filter_form).getElement('.f-date-to').set('disabled', '');
                    $(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
                    $(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

                    $(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

                        switch(this.get('value'))
                        {
                            case '':
                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(new Date()), true);

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(new Date()), true);

                                $(filter_form).getElement('.f-date-to').set('value', '');
                                $(filter_form).getElement('.f-date-from').set('value', '');
                                break;
                            case 'today':
                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(new Date()));

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(new Date()));
                                break;
                            case 'yesterday':
                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(new Date()));
                                break;
                            case 'last_7_days':
                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(new Date()));
                                break;
                            case 'this_month':
                                var last_day = new Date().get('lastdayofmonth');

                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(new Date().set('date', 1)));

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
                                break;
                            case 'last_month':
                                var last_month = new Date().decrement('month', 1);

                                var last_day = last_month.get('lastdayofmonth');

                                date_from.onFocus(date_from.item, date_from.clone, true);
                                date_from.select(date_from.dateToObject(last_month.set('date', 1)));

                                date_to.onFocus(date_to.item, date_to.clone, true);
                                date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
                                break;
                        }
                    });
                }else
                {
                    $(filter_form).getElement('.f-dates-defined').set('value', '');
                    $(filter_form).getElement('.f-dates-defined').set('disabled', 'disabled');

                    date_from.onFocus(date_from.item, date_from.clone, true);
                    date_from.select(date_from.dateToObject(new Date()), true);

                    date_to.onFocus(date_to.item, date_to.clone, true);
                    date_to.select(date_to.dateToObject(new Date()), true);

                    $(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
                    $(filter_form).getElement('.f-date-from').set('value', '');
                    $(filter_form).getElement('.f-date-to').set('disabled', 'disabled');
                    $(filter_form).getElement('.f-date-to').set('value', '');

                    $(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
                    $(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
                }
            });
        }

	};
	var SavePenalty = function()
	{
		var selected = $('users').get('value');
		$$('#add_penalty label').setStyle('color','#000');
		$('error').set('html','').setStyle('color','#ff0000');
		if(!selected || selected=='')
		{
			$('users').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Sales is undefined");
			return false;
		}
		
		
		var escort_id = $('pen_escort_id').get('value').trim();
		
		if(escort_id=='' || escort_id<=0)
		{
			$('escort_id').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Incorrect Escort ID ");
			return false;
		}
		var penality = $('set_penalty').get('value').trim();

		if(penality=='' || penality<0)
		{
			$('set_penalty').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Incorrect penalty value ");
			return false;
		}
		if($('save_tpl').get('checked'))
		{	var res_title =  $('reason_title').get('value').trim();
			if(res_title=='')
			{	
				$$('#save_tpl,#reason_title').getPrevious('label').setStyle('color','#ff0000');
				$('error').set('html',"Reason title is empty");
				return false;
			}
			else if($('penality_tpl') && $('penality_tpl').getElements('option').get('text').contains(res_title))
			{
				$$('#save_tpl,#reason_title').getPrevious('label').setStyle('color','#ff0000');
				$('error').set('html',"Reason name is already exists,enter another name");
				return false;
			}
		}
	
		if($('reason').get('value').trim()=='')
		{
			$('reason').getPrevious('label').setStyle('color','#ff0000');
			$('error').set('html',"Reason is empty");
			return false;
		}
		new Request({
			url: '<?= $this->baseUrl() ?>/settings/new-penalty',
			type: 'POST',
			data:$('add_penalty').toQueryString(),
			onSuccess: function(res){
				if(res)
				{	if(res=='1')
					{	$('error').setStyle('color','#2ED62E');
						$('error').set('html',"Penalty has been added to "+$('pen_sales').get('value') );
						setTimeout(function(){$$('.cx-popup-btn-close').fireEvent('click');},1500);
					}
					else if(res=='2')
					{
						$('error').set('html',$('pen_sales').get('value') + " does`t have escort whit id #"+escort_id );
					}
				}
				else
				{
					$('error').set('html',"System error:check if isset escort with id #"+escort_id);
				}
			}
		}).send();
		
	};
	var InitTplChange = function()
	{	
		if($('penality_tpl'))
		$('penality_tpl').addEvent('change',function(){
			var id = $(this).get('value').trim();
			if(!id)
			{
				$$('#set_penalty,#reason').set('value','');
			}
			else
			{
				new Request.JSON({
				url: '<?= $this->baseUrl() ?>/settings/get-reason-tpl?id='+id,
				onSuccess: function(res){
					if(res)
					{	
						$('set_penalty').set('value',res.penalty);
						$('reason').set('value',res.reason);
					}
				}
				}).send();
			}
		});
	};
	var ClickReason = function()
	{
		$('save_tpl').addEvent('click',function(){
			$$('.reason_title,.penality_tpl').toggle();
		});
	}
	initDateFilter('a-search-form');

	$$('.about-me-lang span').addEvent('click', function(){
		this.setStyle('display','none');
		var next, lang;
		if(this.getNext('span')){
			next = this.getNext('span');
		}
		else{
			next = this.getParent().getFirst('span')
		}
		next.setStyle('display','inherit');
		lang = next.getElement('img').get('alt');
		$('about-text-lang').set('value',lang);
		
	});
	if ($('f-sales-person')){
        $('f-sales-person').addEvent('change',function(){
            if(this.value != ""){
                if($('f-no_id_card')) {
                    $('f-no_id_card').set('disabled',"");
                }
            }
            else{
                if($('f-no_id_card')) {
                    $('f-no_id_card').set('disabled',"disabled");
                }
            }
        });
    }

		
	function nextSession(date) {
		var ret = new Date(date||new Date());
		ret.setDate(ret.getDate() + (3 - 1 - ret.getDay() + 7) % 7 + 1);
		return ret;
	}

	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
		$('a-search-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('a-search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('a-search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>
	
	var getFilterParams = function () {
		/*
		is_open = $('toggle-advanced-search').get('class');
		
		sform = 'q-search-form';
		if ( is_open == 'opened' )
			sform = 'a-search-form';
		*/
		sform = 'a-search-form';
		var uri = new URI('?' + $(sform).toQueryString());
       
		return uri.get('data');
	};
	
	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/
			
		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;
	
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Sales Work', icon: 'page_add', action: function () {
				openSalesPopup();
			} },
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				<? if ( in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK, APP_EI)) && (  $bu_user->type == "superadmin" || $bu_user->type == "admin" || $bu_user->type == "call center") ): ?>
					var phoneExist = false;
					if($('ph_escort_id')){
						ph_escort_id = $('ph_escort_id').get('value');
					}else{
						ph_escort_id = false;
					}
					new Request({
						url: '<?= $this->baseUrl() ?>/escorts-v2/check-phone-number',
						method: 'post',
						async : false,
						data: {is_ajax : 1, escort_id : ph_escort_id, phone_number : $('contact_phone').get('value'), phone_prefix: $('phone_prefix').get('value'), agency_id : $('agency').get('value') },
						onSuccess: function (resp) {
							resp = JSON.decode(resp);
							if(resp.status == false){
								phoneExist = true;
							}
						}.bind(this)
					}).send();

					if(phoneExist){
						if ( !confirm('Phone already exists, Do you want to continue?') ) {
							return false;
						}
					}
				<? endif;?>

                var tasks = [];

                if ($defined($('im_is_blocked'))) {
                    var checkBox = $('im_is_blocked');
                    var isChecked = checkBox.checked;

                    if (isChecked) {
                        tasks.push(function disconnectUserFromChatroom () {
                            var img = new Image();
                            img.src = '<?=  $config['chatroom']['url'] . '/api/block-user?userId=' ?>' + window.EscortPopup.data.user_id
                        })
                    }
                }

				(Cubix.Popup.Actions.SaveValid.bind(popup))(function (result) {

                    tasks.forEach(function(func) {
                       func();
                    });

					grid.load();
					if ( 'create' == popup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
					
				});
			} },
			{ caption: 'Close', icon: 'cancel' ,action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});

	popup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
		if ( $defined($('Photos')) ) {
			$('Photos').destroy();
		}
	});
	
	var openSalesPopup = function() {
		salseWorkPopup.setTitle('Sales Work - ' + window.EscortPopup.data.showname);
		salseWorkPopup.escort_id = window.EscortPopup.data.id;
		salseWorkPopup.load('<?= $this->baseUrl() ?>/escorts-v2/sales-work?user_id=' + window.EscortPopup.data.user_id + '&escort_id=' + window.EscortPopup.data.id, function () {
			this.open();
		});
	};
	
	var addOrderButton = popup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');
	
	window.EscortPopup = popup;
	
	/* Simple Create Popup */
	var simpleCreatePopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 270,
		zIndex: function () { return Cubix.Popup.zIndex + 6 }
	});
	
	
	/* --> For Add Order */
	var bubbleTextPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 350,
		zIndex: function () { return Cubix.Popup.zIndex + 6 }
	});

	var PenaltyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: SavePenalty },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 'auto',
		zIndex: function () { return Cubix.Popup.zIndex + 6 }
	});

	/* --> For Add Order */
	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});
	/* <-- */

	
	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 32 }
	});
	window.SmsPopup = popup_sms;
	
	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 25 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {

		var self = this;

		if (self.content.getElement('#email_template'))
			self.content.getElement('#email_template').addEvent('change', function(e) {
				e.stop();

				var id = self.content.getElement('#email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						if ( resp ) {
                            self.content.getElement('#from').set('value', resp.from);
                            if(self.content.getElement('#from-name')){
                                self.content.getElement('#from-name').set('value', resp.from_name);
                            }
                            self.content.getElement('#subject').set('value', resp.subject);
							self.content.getElement('#message').set('html', resp.body);
							self.content.getElement('#email_signature').set('html', resp.signature);
						} else {
							self.content.getElement('#from').set('value', '');
							self.content.getElement('#subject').set('value', '');
							self.content.getElement('#message').set('html', '');
							self.content.getElement('#email_signature').set('html', '');
						}
					}.bind(this)
				}).send();
			});
	});

	<? if ( Cubix_Application::getId() == APP_EF && in_array($bu_user->type, array('sales manager'))): ?>
		var phoneComment = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
				{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
			],
			width: 380,
			zIndex: function () { return Cubix.Popup.zIndex + 25 }
		});
		window.phoneComment = phoneComment;	
		
		var confirmPhone = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Confirm phone', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
				{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
			],
			width: 380,
			zIndex: function () { return Cubix.Popup.zIndex + 25 }
		});
		window.confirmPhone = confirmPhone;	
	<? endif ?>

	/* SMS THREAD */
	var read_thread_popup = new Cubix.Popup.Ajax({
		abar: [
			
		],
		width: 510,
		zIndex: function () { return Cubix.Popup.zIndex + 35 }
	});
	window.read_thread_popup = read_thread_popup;
	
	window.read_thread_popup.addEvent('loaded', function () {
		var self = this;

		self.popup.getElements('.cx-popup-content').setStyles({'padding':'0px', border:'none'});
		self.popup.getElements('.cx-popup-action-bar').setStyles({'display':'none'});

		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});

		 var scroll = new Fx.Scroll(this.content.getElements('.messages')[0]); 
		 scroll.toBottom();

		 this.content.getElements('.send-msg-btn').addEvent('click', function(e){
		 	e.stop();

		 	new Request({
				url: '<?= $this->baseUrl() ?>/sms/index/send',
				method: 'post',
				data: {
					text : self.content.getElements('.text-msg')[0].get('value'),
					phone_number : self.content.getElements('input[name=phone_number]')[0].get('value'),
					phone_number_original : self.content.getElements('input[name=phone_number]')[0].get('value'),
					sms_inbox_id : self.content.getElements('input[name=id]')[0].get('value')
				},
				onSuccess: function (resp) {
					
					new Request({
						url: '<?= $this->baseUrl() ?>/sms/index/read-thread',
						method: 'post',
						data: {is_ajax : 1, phone_number : self.content.getElements('input[name=phone_number]')[0].get('value')},
						onSuccess: function (resp) {
							self.content.getElements('.messages')[0].set('html', resp);
							 var scroll = new Fx.Scroll(self.content.getElements('.messages')[0]); 
		 					 scroll.toBottom();

		 					 self.content.getElements('.text-msg')[0].set('value', '');
						}.bind(this)
					}).send();

				}.bind(this)
			}).send();
		 });
		 
	});
	/* SMS THREAD */

	var assignTo = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Assign', icon: 'add', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 300,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	
	<? if ( ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin') && in_array(Cubix_Application::getId(), array(APP_ED))):?> 
		var duplicate = new Cubix.Popup.Ajax({
			abar: [
				{ caption: 'Duplicate', icon: 'add', klass:"duplicateBtn", action: function () {
					Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
						if(resp.status == 'success'){
							$$('.duplicateBtn')[0].setStyle('display', 'none');
							$('duplicate-form').set('html',"<div>New escort id:"+resp.newId+"</div>");
						}
						return false;
					});
				} },
				{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
			],
			width: 500,
			zIndex: function () { return Cubix.Popup.zIndex + 12 }
		});
		window.duplicatePopup = duplicate;
	<? endif;?>
	var uMessage = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 300,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.UrgentPopup = uMessage;
	
	var adminComment = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 450,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.adminComment = adminComment;
	
	
	var penalty_menu = {};
	var super_ = <?=$this->super?>?1:0;

    var preview_popup = new Cubix.Popup.Ajax({
        abar: [
            { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
        ],
        width: 1034
    });

    window.revisions_popup = preview_popup;

	<? if ( in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK,APP_EG,APP_AE)) ): ?>
		var addSourcePopup = new Cubix.Popup.Ajax({
        abar: [
            { caption: 'Save', icon: 'add', action: Cubix.Popup.Actions.Save },
            { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
        ],
        width: 500
        });
        window.addSourcePopup = addSourcePopup;

            var needAttention = new Cubix.Popup.Ajax({
            abar: [
                { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
            ],
            width: 970
        });
        window.needAttention = needAttention;
    <? endif;?>



    var menu = new ActionsMenu([
        { name: 'edit', icon: 'edit', caption: 'Edit', func: function (data) {
                popup.__mode = 'edit';
                popup.setTitle('Edit Escort ' + data.showname + ' (ID: ' + data.id + ')');
                popup.data = data;
                popup.data_comment = 'false';
                popup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
                    /*if ( data.agency_id ) {
                        if (addOrderButton.getStyle('display') == 'block' )
                            addOrderButton.setStyle('display', 'none');
                    }
                    else {
                        if ( data.status.indexOf('Active') == -1 ) {
                            addOrderButton.setStyle('display', 'none');
                        }
                        else {
                            addOrderButton.setStyle('display', 'block');
                        }
                    }*/

                    popup.data = data;
                    window.EscortPopup.data = data;

                    this.open();
                });
            } },
        penalty_menu
        ,
        { name: 'edit-bubble-text', icon: 'edit', caption: 'Edit Bubble Text', func: function (data) {
                bubbleTextPopup.setTitle('Edit Bubble Text');
                bubbleTextPopup.escort_id = data.id;
                bubbleTextPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit-bubble-text?escort_id=' + data.id, function () {
                    this.open();
                });
            } },
        <? if ( Cubix_Application::getId() == APP_EF && in_array($bu_user->type, array('sales manager','superadmin','admin'))): ?>
        { name: 'reset_pass', icon: 'rosette', caption: 'Reset pass', func: function (data) {
                if ( confirm('Are you sure you want to send password recovery activation code?') ) {
                    new Request({
                        url: '/escorts-v2/send-activation-code?escort_id=' + data.id,
                        onSuccess: function (resp) {
                            // Succsess send activation
                        }.bind(this)
                    }).send();

                }

            } },
        <? endif;?>

        <? if ( Cubix_Application::getId() == APP_EF && $bu_user->type == 'superadmin'): ?>
        { name: 'block_cam', icon: 'cancel', caption: 'Block cams', func: function (data) {
                if ( confirm('Are you sure you want to block Cams for this escort?') ) {
                    new Request({
                        url: '/escorts-v2/block-cams?status=1&escort_id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        { name: 'unblock_cam', icon: 'accept', caption: 'Unblock cams', func: function (data) {
                if ( confirm('Are you sure you want to activate Cams for this escort?') ) {
                    new Request({
                        url: '/escorts-v2/block-cams?status=0&escort_id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();

                }
            } },
        { name: 'generate-cam-link', icon: 'camlink', caption: 'Generate Campage', func: function (data) {
                camLinkPopup.setTitle('Generate Campage');
                camLinkPopup.escort_id = data.id;
                camLinkPopup.load('<?= $this->baseUrl() ?>/escorts-v2/campage?id=' + data.id, function () {
                    this.open();
                });
            } },
        <? endif;?>
        { name: 'images', icon: 'images', caption: 'Photos', func: function (data) {
                photos_popup.setTitle('Photos of Escort');
                photos_popup.escort_id = data.id;
                photos_popup.content = photos_popup_content;
                photos_popup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + data.id, function () {
                    this.open();
                });
            } },
        { name: 'sales-work', icon: 'sales-work', caption: 'Sales Work', func: function (data) {
                salseWorkPopup.setTitle('Sales Work - ' + data.showname);
                salseWorkPopup.escort_id = data.id;
                salseWorkPopup.load('<?= $this->baseUrl() ?>/escorts-v2/sales-work?user_id=' + data.user_id + '&escort_id=' + data.id, function () {
                    this.open();
                });
            } },

        { name: 'add-order', icon: 'add', caption: 'Add Order', func: function (data) {
                window.PackagesPopup = PackagesPopup;
                window.OrderPopup = OrdersPopup;
                OrdersPopup.setTitle('Create New Order');
                if(data.agency_id){
                    OrdersPopup.load('<?= $this->baseUrl() ?>/billing/orders/create?type=agency&id=' + data.agency_id + '&escort_id=' + data.id +   '&name=' + data.agency_name, function () {
                        this.open();
                    });
                }else{
                    OrdersPopup.load('<?= $this->baseUrl() ?>/billing/orders/create?type=escort&id=' + data.id +  '&name=' + data.showname, function () {
                        this.open();
                    });
                }

            } },



        { name: 'quick-sms', icon: 'quick-sms', caption: 'Send SMS', func: function (data) {
                <? if ( Cubix_Application::getId() == APP_EF ): ?>
                window.read_thread_popup.setTitle('Text Message');
                window.read_thread_popup.load('<?= $this->baseUrl() ?>/sms/index/read-thread?phone_number=' + data.contact_phone_parsed, function () {
                    this.open();
                });
                <? else: ?>
                window.SmsPopup.setTitle('Compose Text Message');
                window.SmsPopup.load('<?= $this->baseUrl() ?>/sms/index/compose?escort=1&phone_from=' + data.contact_phone_parsed + '&no_btn=1', function () {
                    this.open();
                });
                <? endif; ?>
            } },
        /*
        { name: 'activate-escort', icon: 'accept', caption: 'Activate', func: function (data) {

        } },

        { name: 'disable-escort', icon: 'cancel', caption: 'Disable', func: function (data) {

        } },
        */
        { name: 'remove', icon: 'remove', caption: 'Delete', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to delete this row?') ) {
                    //this.overlay.disable();
                    new Request({
                        url: '/escorts-v2/delete?id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        <? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' ): ?>
        { name: 'remove_immed', icon: 'remove', caption: 'Delete Immed.', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to delete this row?') ) {
                    //this.overlay.disable();
                    new Request({
                        url: '/escorts-v2/delete?id=' + data.id + '&immed=1',
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        <? endif;?>
        <? if ( Cubix_Application::getId() == APP_ED ): ?>
        { name: 'add_comment', icon: 'icon-up', caption: 'Featured Girl', func: function (data) {
                popup.__mode = 'edit';
                popup.setTitle('Edit Escort ' + data.showname + ' (ID: ' + data.id + ')');
                popup.data = data;
                popup.data_comment = 'true';
                popup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
                    popup.data = data;
                    window.EscortPopup.data = data;

                    this.open();
                });
            } },
        <? endif;?>
        { name: 'recover', icon: 'recover', caption: 'Recover', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to recover this row?') ) {
                    //this.overlay.disable();
                    new Request({
                        url: '/escorts-v2/recover?id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },

        { name: 'sedcard', icon: 'sedcard', caption: 'Show sedcard', func: defaultAction = function (data) {
                var escort = 'escort';
                var app_id = '<?= Cubix_Application::getId() ?>';
                if (app_id == '1' || app_id == '9')
                    escort = 'accompagnatrici';
                window.open('<?= Cubix_Application::getById()->url ?>/' + escort + '/' + data.showname + '-' + data.id + '?f=b' , '_blank');
            } },
        { name: 'q-email', icon: 'quick-sms', caption: 'Send Email', func: defaultAction = function (data) {
                window.qEmail.setTitle('Compose Email');
                window.qEmail.load('<?= $this->baseUrl() ?>/index/quick-email?escort=1&email=' + data.reg_email, function () {
                    this.open();
                });
            } },

        { name: 'assign-to-me', icon: 'assign-to-me', caption: 'Assign to me', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to assign this escort to you ?') ) {
                    new Request({
                        url: '/escorts-v2/assign-to-me?user_id=' + data.user_id + '&escort_id=' + data.id,
                        //data: ids,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        { name: 'assign-to', icon: 'assign-to', caption: 'Assign to', func: defaultAction = function (data) {
                assignTo.setTitle('Assign To');
                assignTo.load('<?= $this->baseUrl() ?>/escorts-v2/assign-to?user_id=' + data.user_id + '&escort_id=' + data.id, function () {
                    this.open();
                });
            } },
        <? if ( ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin') && in_array(Cubix_Application::getId(), array(APP_ED))):?>
        { name: 'duplicate', icon: 'add', caption: 'Duplicate', func: defaultAction = function (data) {
                duplicate.setTitle('Create escort new type');
                duplicate.load('<?= $this->baseUrl() ?>/escorts-v2/duplicate?escort_id=' + data.id, function () {
                    this.open();
                });
            } },
        <? endif;?>
        <? if ( ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin') && Cubix_Application::getId() == APP_EF):?>
        { name: 'age-certify', icon: 'accept', caption: 'Age Certify', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to certify ?') ) {

                    new Request({
                        url: '/escorts-v2/ajax-age-certify?escort_id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        { name: 'age-cancel', icon: 'cancel', caption: 'Age Cancel', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to cancel Certification?') ) {

                    new Request({
                        url: '/escorts-v2/ajax-age-cancel?escort_id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        <? endif;?>

        <? if (Cubix_Application::getId() != APP_A6): ?>
        { name: 'message', icon: 'reply', caption: 'URGENT Message', func: defaultAction = function (data) {
                uMessage.setTitle('URGENT Message');
                uMessage.load('<?= $this->baseUrl() ?>/escorts-v2/message?id[]=' + data.id, function () {
                    this.open();
                });
            } },
        <? endif; ?>
        <? if (($bu_user->type == 'superadmin' && Cubix_Application::getId() != APP_A6) || ((Cubix_Application::getId() == APP_BL || Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EM || Cubix_Application::getId() == APP_EG_CO_UK) && $bu_user->type == 'admin') ): ?>
        { name: 'add_verification', icon: 'add', caption: 'Add Verification', func: defaultAction = function (data) {
                window.addVerPopup.setTitle('Add Verification Photo');
                window.addVerPopup.escort_id = data.id;
                window.addVerPopup.load('<?= $this->baseUrl() ?>/verifications/idcard/add?escort_id=' + data.id, function () {
                    this.open();
                });
            } },
        <? endif; ?>
        { name: 'remove_verification', icon: 'clear-ver', caption: 'Remove Verification', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to remove verification?') ) {
                    //this.overlay.disable();

                    new Request({
                        url: '/escorts-v2/ajax-remove-verification?id=' + data.id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        { name: 'add_comment', icon: 'reply', caption: 'Add Comment', func: function (data) {
                popup.__mode = 'edit';
                popup.setTitle('Edit Escort ' + data.showname + ' (ID: ' + data.id + ')');
                popup.data = data;
                popup.data_comment = 'true';
                popup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
                    popup.data = data;
                    window.EscortPopup.data = data;

                    this.open();
                });
            } },

        <? if ( in_array(Cubix_Application::getId(), array(APP_ED, APP_EM, APP_A6)) ): ?>
        { name: 'message', icon: 'key', caption: 'Generate and Send', func: defaultAction = function (data) {
                if ( confirm('Are you sure you want to generate new password for this escort?') ) {
                    //this.overlay.disable();
                    new Request({
                        url: '/escorts-v2/generate-pass?user_id=' + data.user_id,
                        onSuccess: function (resp) {
                            grid.load();
                        }.bind(this)
                    }).send();
                }
            } },
        <? endif; ?>


        <? if ( in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK,APP_EG,APP_AE)) ): ?>
        { name: 'edit_source_url', icon: 'edit', caption: 'Edit Source url', func: defaultAction = function (data) {
                window.addSourcePopup.setTitle('Edit source url');
                window.addSourcePopup.escort_id = data.id;
                window.addSourcePopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit-source-url?escort_id=' + data.id, function () {
                    this.open();
                });
            } },
        <? endif; ?>


    ], { icon: 'edit', mode: 'mouse' });


    menu.addEvent('show', function (data) {
		if ( data.status.toLowerCase().indexOf('deleted') != -1 && data.status.toLowerCase().indexOf('suspicious deleted') == -1 ) {
			
			this.actions['edit'].disable();
			this.actions['edit-bubble-text'].disable();
			this.actions['images'].disable();
			this.actions['sales-work'].disable();
			this.actions['quick-sms'].disable();
            
			/*this.actions['activate-escort'].disable();
			this.actions['disable-escort'].disable();*/
			this.actions['remove'].disable();
			
							
			this.actions['sedcard'].disable();
            this.actions['add-order'].disable();
            this.actions['q-email'].disable();
			
            this.actions['assign-to-me'].disable();
            this.actions['assign-to'].disable();
		}
		else {
			
			this.actions['edit'].enable();
			this.actions['edit-bubble-text'].enable();
			this.actions['images'].enable();
			this.actions['sales-work'].enable();
			this.actions['quick-sms'].enable();
            this.actions['add-order'].enable();

			/*this.actions['activate-escort'].enable();
			this.actions['disable-escort'].enable();*/
			<? if ( in_array($bu_user->type , array('moderator plus', 'moderator')) ): ?>			
			this.actions['remove'].disable();
			<? else: ?>
			this.actions['remove'].enable();
			<? endif; ?>
			this.actions['sedcard'].enable();
			this.actions['q-email'].enable();
			
			<? if ( in_array($bu_user->type , array('moderator plus', 'moderator')) ): ?>		
            this.actions['assign-to-me'].disable();
            this.actions['assign-to'].disable();
			<? else: ?>
			this.actions['assign-to-me'].enable();
            this.actions['assign-to'].enable();
			<? endif; ?>
			
			<? if ( $bu_user->type != 'superadmin' && $bu_user->type != 'admin' ): ?>
			if ( data.sales_person != '<?= $bu_user->username ?>' ) {
				this.actions['assign-to'].disable();
			}		
			<? endif; ?>
		}
		if ( data.status.toLowerCase().indexOf('deleted') != -1 || data.status.toLowerCase().indexOf('suspicious deleted') != -1 ) {
			<? if ( $bu_user->type == 'superadmin' || (
					(Cubix_Application::getId() == APP_BL && $bu_user->type == 'admin' && $bu_user->id == 73) || 
					( Cubix_Application::getId() == APP_EM && $bu_user->type == 'admin' && $bu_user->id == 75 ) ||
					( Cubix_Application::getId() == APP_ED && $bu_user->type == 'admin' && $bu_user->id == 1 )
				)):?>
				this.actions['recover'].enable();
			<? else: ?>
				this.actions['recover'].hide();
			<? endif;?>
		}
		else{
			this.actions['recover'].hide();
		}
		
		if ( data.phone_number ) {
			this.actions['quick-sms'].enable();
		}
		else {
			this.actions['quick-sms'].disable();
		}

		if ( data.reg_email ) {
			this.actions['q-email'].enable();
		}
		else {
			this.actions['q-email'].disable();
		}

		if ( data.status.indexOf('Active') != -1 ) {
			this.actions['sedcard'].enable();
			<? if ( in_array($bu_user->type , array('moderator plus', 'moderator')) ): ?>	
			this.actions['add-order'].disable();
			<? else: ?>
            this.actions['add-order'].enable();
			<? endif; ?>
		}
		else {
			if ( data.status.indexOf('Owner Disabled') != -1 ) {
				this.actions['sedcard'].enable();
			} else {
				this.actions['sedcard'].disable();
			}
			this.actions['add-order'].disable();
		}
		if ( data.verified_status == <?= Model_EscortsV2::STATUS_VERIFIED ?>  && ( "<?= $bu_user->type ?>" == 'superadmin' || "<?= $bu_user->type ?>" == 'admin')) {
			this.actions['remove_verification'].enable();
		}
		else {
			this.actions['remove_verification'].hide();
		}

		<? if ( Cubix_Application::getId() == APP_EF && in_array($bu_user->type, array('sales manager','superadmin','admin'))): ?>
			if ( data.agency_id ) {
				this.actions['reset_pass'].hide();
			}else{
				this.actions['reset_pass'].enable();
			}
		<? endif; ?>
		
		<? if ( Cubix_Application::getId() == APP_EF && $bu_user->type == 'superadmin'): ?>
			if ( data.block_cam ) {
				this.actions['block_cam'].hide();
				this.actions['unblock_cam'].enable();
			}else{
				this.actions['block_cam'].enable();
				this.actions['unblock_cam'].hide();
			}
		<? endif; ?>
			
		<? if ( in_array(Cubix_Application::getId(), array(APP_ED,APP_EG_CO_UK,APP_EG,APP_AE)) ): ?>
			if( data.user_type != 'agency'){
				this.actions['edit_source_url'].hide();
			}else{
				this.actions['edit_source_url'].show();
			}
		<? endif; ?>
	});


	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		preload: true,
		identifier: { field: 'id' },
		header: [
            <? if ( Model_Users::can('edit-escort-profile') || (in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK)) &&  $bu_user->type == "call center") ): ?>{ title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },<? endif ?>
            <? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: 'Porn', field: 'porn_notification', type: 'CheckPornNotification', sortable: false, width: 16 },<? endif ?>
            <? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: 'Rev.', field: 'disabled_reviews', type: 'ToggleReview', sortable: false, width: 16 },<? endif ?>
            <? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: 'Com.', field: 'disabled_comments', type: 'ToggleComment', sortable: false, width: 16 },<? endif ?>
            <? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: 'Web', field: 'website', type: 'CheckWeb', sortable: false, width: 16 },<? endif ?>
            <? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: 'C.', field: 'comment', type: 'CommentTransfer', sortable: false, width: 20 },<? endif ?>
			{ title: 'ID', field: 'id', sortField: 'e_id', type: 'number', sortable: true, width: 60 },

            <? if ( Cubix_Application::getId() != APP_A6 ): ?>
            { title: 'Showname', field: 'showname', sortField: 'showname', type: '<?= $bu_user->type == 'call center' ? 'string': 'EscortLinkAV'?>', sortable: true, width: 150 },
            <? else: ?>
            { title: 'Showname', field: 'showname', sortField: 'showname', type: '<?= $bu_user->type == 'call center' ? 'string': 'EscortLink'?>', sortable: true, width: 150 },
            <? endif;?>
            { title: 'Reg.', field: 'date_registered', sortField: 'date_registered', type: 'Date', sortable: true, width: 140 },
            { title: 'Last Mod.', field: 'date_last_modified',sortField: 'date_last_modified', type: 'DateTime', sortable: true, width: 158 },
            /*{ title: 'Package', field: 'package', type: 'number' },  EscortStatus*/
            { title: 'Status', field: 'status', type: 'EscortStatus', width: 46 },
            { title: 'Phone', field: 'contact_phone_parsed', type: 'PhoneNumber', width: 90 },
            { title: 'Sales', field: 'sales_person', type: 'StrDefis' },
            { title: 'Susp.', field: 'date_suspicious', type: 'Suspicious', sortable: true, width: 100 },
            <? if ( Cubix_Application::getId() == APP_BL ): ?>
            { title: 'Package', field: 'package_name', type: 'ActivePackageBL', width: 135 },
            <? else: ?>
            { title: 'Package', field: 'expiration_date', type: 'ActivePackage', width: 135, sortable: true, },
            <? endif;?>
            { title: 'Agency Name', field: 'agency_name', type: '<?= $bu_user->type == 'call center' ? 'string': 'AgencyLink'?>', width: 150 },//StrDefis
            <?  if ( Model_Users::can('edit-escort-profile') ): ?>
            { title: 'Rev.', field: 'revs_count', type: 'ProfileRevisionsV2Load', width: 60 },
            <? endif ?>
            <?/*<? if ( Model_Users::can('edit-escort-seo-data') && Cubix_Application::getId() != APP_ED ): ?>
			{ title: 'SEO', field: 'id', type: 'SeoButton', sortable: false, width: 16 },
			<? endif ?>*/?>
            <? if ( Cubix_Application::getId() == APP_EF ): ?>
            { title: 'VIP', field: 'is_vip', type: 'ToggleVip', sortable: false, width: 16 },
            <? if ( $bu_user->type == 'sales manager'): ?>
            { title: 'Phone', field: 'escort_phone_comment', type: 'PhoneComment', sortable: false, width: 16 },
            <? endif ?>
            <? endif ?>
		],
		sort: {
			field: 'date_last_modified',
			dir: 'asc'
		},
		actions: [


        { type: 'edit', mouseenter: function (data, btn) {
            menu.show(btn, data);
        } }

		],
		data: new Cubix.Grid.Loader({ url: '/escorts-v2/need-attention', params: getFilterParams })
	})<? if ( Model_Users::can('edit-escort-profile') ): ?>.addEvent('rightclick', function (data, e) {
		e.stop();
		menu.show({ left: e.page.x, top: e.page.y + 3 }, data, false);
	})<? endif ?>;
	
	grid.addEvent('rowInserted', function (grid, tr, data) {			
		if (data.photos_html) {
			var _tr = new Element('tr');
			_tr.set('class', 'gallery_view_row');
			var _td = new Element('td'); 
			_td.set('html', data.photos_html).set('colspan', grid.colCount);
			_td.inject(_tr);
			_tr.inject(tr, 'after');
		
		}
	});
	
	grid.addEvent('rowInserted', function (grid, tr, data) {		
		if (data.about_texts) {
			
			var _tr = new Element('tr');
			_tr.set('class', 'about_me_text_row');
			var _td = new Element('td'); 
			_td.set('html', data.about_texts).set('colspan', grid.colCount);
			_td.inject(_tr);
			_tr.inject(tr, 'after');
			
		}
	});

    grid.addEvent('loaded', function () {
        $$('.hover_comment img').addEvent('mouseenter', function(){
            var com = this.getNext('div');
            com.removeClass('none');
        });

        $$('.hover_comment img').addEvent('mouseleave', function(){
            var com = this.getNext('div');
            com.addClass('none');
        });

        if ( $defined($$('.cx-grid-type-ToggleVip a')) ) {
            $$('.cx-grid-type-ToggleVip a').addEvent('click', function (e) {
                e.stop();
                <? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
                <? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' ): ?>
                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(){
                        grid.load();
                    }
                }).send();
                <? endif; ?>
            });
        }

        if ( $defined($$('.cx-grid-type-ProfileRevisionsV2Load a')) ) {
            $$('.cx-grid-type-ProfileRevisionsV2Load a').addEvent('click', function (e) {
                e.stop();

                var self = this;

                var parent = self.getParent();

                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(resp){
                        resp = JSON.decode(resp);
                        var is_updated = '';

                        if (resp.is_updated)
                            is_updated = ' tbold tred';

                        if (resp.count > 0)
                        {
                            var el = new Element('a', {
                                'class': 'sbtn icon-report' + is_updated,
                                href: '/escorts-v2/revisions?escort_id=' + resp.escort_id,
                                html: '(' + resp.count + ')'
                            });
                        }
                        else
                        {
                            var el = new Element('div', {
                                html: '-'
                            });
                        }

                        parent.set('html', '');
                        el.inject(parent);

                        $$('.icon-report').addEvent('click', function (e) {
                            e.stop();
                            window.revisions_popup.setTitle('Profile Revisions Log');
                            window.revisions_popup.load(this.get('href'), function () {
                                this.open();
                            });
                        });
                    }
                }).send();
            });
        }

        if ( $defined($$('.cx-grid-type-ToggleReview a')) ) {
            $$('.cx-grid-type-ToggleReview a').addEvent('click', function (e) {
                e.stop();
                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(){
                        grid.load();
                    }
                }).send();

            });
        }
        if ( $defined($$('.cx-grid-type-ToggleComment a')) ) {
            $$('.cx-grid-type-ToggleComment a').addEvent('click', function (e) {
                e.stop();
                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(){
                        grid.load();
                    }
                }).send();

            });
        }
        if ( $defined($$('.cx-grid-type-CheckPornNotification a')) ) {
            $$('.cx-grid-type-CheckPornNotification a').addEvent('click', function (e) {
                e.stop();
                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(){
                        grid.load();
                    }
                }).send();

            });
        }
        if ( $defined($$('.cx-grid-type-CheckGallery a')) ) {
            $$('.cx-grid-type-CheckGallery a').addEvent('click', function (e) {
                e.stop();
                new Request({
                    url: this.get('href'),
                    method: 'get',
                    onSuccess: function(){
                        grid.load();
                    }
                }).send();

            });
        }
        if ( $defined($$('.edit-expiration-date')) ) {
            $$('.edit-expiration-date').addEvent('click', function(e){
                e.stop();

                window.popupEditExpDate.setTitle('Edit Package Expiration Date');
                window.popupEditExpDate.load('/escorts-v2/edit-expiration-date?escort_id=' + this.get('rel'), function () {
                    this.open();
                });
            });
        }

        if($defined($$('.about-me-texts')) ) {
            $$('.about-me-texts').each(function(it){
                var tabId  = it.getChildren('div')[0].get('id');
                new mootabs(tabId, { width: null, height: 'auto' });
            });

        }

        if ( $('select-all') ) {
            $('select-all').set('checked', '');

            $('select-all').addEvent('click', function() {
                if ( this.get('checked') )
                {
                    $$('#cx-grid input[type=checkbox][name=selected\[\]]').each(function(it){
                        if ( it.get('id') != 'select-all' && !it.get('disabled') )
                            it.set('checked', 'checked');
                    });
                }
                else
                {
                    $$('#cx-grid input[type=checkbox][name=selected\[\]]').each(function(it){
                        if ( it.get('id') != 'select-all' )
                            it.set('checked', '');
                    });
                }
            });
        }


        $$('.escort-showname').addEvent('click', function (e) {
            e.stop();

            var data = this.getParent('tr').rowData;
            popup.__mode = 'edit';

            if ( data.agency_id ) {
                if (addOrderButton.getStyle('display') == 'block' )
                    addOrderButton.setStyle('display', 'none');
            }
            else {
                if ( data.status.indexOf('Active') == -1 ) {
                    addOrderButton.setStyle('display', 'none');
                }
                else {
                    addOrderButton.setStyle('display', 'block');
                }
            }

            window.EscortPopup.data = data;
            addOrderButton.setStyle('display', 'block')
            popup.setTitle('Edit Escort ' + data.showname + ' (ID: ' + data.id + ')');
            popup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
                this.open();
            });
        });

        $$('.cx-grid-type-PreviewLink a').addEvent('click', function (e) {
            e.stop();
            var rowData = this.getParent('tr').rowData;
            preview_popup.setTitle('Profile of Escort ' + rowData.showname);
            preview_popup.load('/escorts-v2/preview?id=' + rowData.id, function () { this.open(); window.fireEvent('resize'); });
        });

        $$('.agency-name').addEvent('click', function (e) {
            e.stop();

            var data = this.getParent('tr').rowData;
            window.AgencyPopup.agency_id = data.agency_id;
            window.AgencyPopup.setTitle('Edit Agency ' + data.agency_name);
            window.AgencyPopup.load('<?= $this->baseUrl() ?>/agencies/edit?id=' + data.agency_id, function () {
                this.open();
            });
        });

        Cubix.Grid.DataTypes.SeoButton.init(this);
    });


    window.grid = grid;


	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.setPage(1);
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var fetchSalesPersons = function (el, app_id) {
		el.set('disabled', 'disabled');
		new Request({
			url: '<?= $this->baseUrl() ?>/moderators/ajax?application_id=' + app_id,
			method: 'get',
			onSuccess: function (resp) {
				resp = JSON.decode(resp).data;
				el.empty();
				if ( ! resp.length ) return;
				new Element('option', {
					html: '- sales persons -&nbsp;&nbsp;'
				}).inject(el);
				for ( var i = 0; i < resp.length; i++ ) {
					new Element('option', {
						html: resp[i].username + '&nbsp;&nbsp;',
						value: resp[i].id
					}).inject(el);
				}
				el.set('disabled', '');
			}
		}).send();
	};

	var salseWorkPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 900,
		zIndex: function () { return Cubix.Popup.zIndex + 5 }
	});
	window.salseWorkPopup = salseWorkPopup;
	
	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});
	
	
    var home_city = $('f_home_city');
    var home_city_h = $('f_home_city_h');
    if (home_city) {
        new Autocompleter.Request.JSON(home_city, '/geography/cities/ajax-home-cities-search?lng=en', {
            postVar: 'city_search_name',
            indicatorClass: 'autocompleter-loading',
            maxChoices: 10
        }).addEvent('onSelection', function (element, selected, value, home_city) {

            home_city_h.set('value', selected.inputValue.id);
        });

        home_city.addEvent('blur', function () {
            if (!this.get('value')) {
                home_city_h.set('value', '');
            }
        });
    }



    if($('has_source_url')){	
		$('has_source_url').addEvent('change', function(){
			if(!$('agency_id').get('value') && $('has_source_url').get('value') && $('f-escort-type').get('value') != 'agency' ){
				alert("This filter work only if you filled Agency ID or escort type selected agency");			
			}
		});
    }
    if($('has_works_source_url')){	
		$('has_works_source_url').addEvent('change', function(){
			if(!$('agency_id').get('value') && $('has_works_source_url').get('value') ){
				alert("This filter work only if you filled Agency ID");			
			}
		});
    }
    if ($('f-country')) {
        $('f-country').addEvent('change', function() {
            var country = this;
            /*region = $('f-region');
            region.set('disabled', 'disabled');
            region.empty();*/

            var city = $('f-city');
            city.set('disabled', 'disabled');
          
            $('f-city').empty();
           

            var city_criteria_url = "";
            if ( $('f-city-criteria') ) {
                var city_criteria = $('f-city-criteria');

                if ( city_criteria.get('value').length ) {
                    city_criteria_url = "&city_criteria=" + city_criteria.get('value');
                }
            }

            if(this.get('value'))
            {
                new Request({
                    url: '<?= $this->baseUrl() ?>/geography/cities/ajax?country_id=' + this.get('value') + city_criteria_url,
                    method: 'get',
                    onSuccess: function (resp) {
                        resp = JSON.decode(resp).data;
                        city.empty();
                        new Element('option', {
                            html: '- city -&nbsp;&nbsp;',
                            value: ''
                        }).inject(city);
                        for ( var i = 0; i < resp.length; i++ ) {
                            new Element('option', {
                                html: resp[i].title + '&nbsp;&nbsp;',
                                value: resp[i].id
                            }).inject(city);
                        }
                        city.set('disabled', '');
                    }
                }).send();
            }
        });

        $('f-country').fireEvent('change');
    }


	if ( $('f-city-criteria') ) {
		$('f-city-criteria').addEvent('change', function() {
			var country = $('f-country');
			/*region = $('f-region');
			region.set('disabled', 'disabled');
			region.empty();*/

			var city = $('f-city');
			//city.set('disabled', 'disabled');
			
			$('f-city').empty();
			

			var city_criteria_url = "";
			if ( $('f-city-criteria') ) {
				var city_criteria = $('f-city-criteria');
				
				if ( city_criteria.get('value').length ) {
					city_criteria_url = "&city_criteria=" + city_criteria.get('value');
				}
			}

			
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax?country_id=' + country.get('value') + city_criteria_url,
				method: 'get',
				onSuccess: function (resp) {
					resp = JSON.decode(resp).data;
					city.empty();
					new Element('option', {
						html: '- city -&nbsp;&nbsp;',
						value: ''
					}).inject(city);
					for ( var i = 0; i < resp.length; i++ ) {
						new Element('option', {
							html: resp[i].title + '&nbsp;&nbsp;',
							value: resp[i].id
						}).inject(city);
					}
					city.set('disabled', '');
				}
			}).send();
			
		});
	}
	
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');
		
		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	 new Cubix.Button($('btn-reset'), { onClick: function () {
	 	clearForm();
	 	<? if (!in_array(Cubix_Application::getId(), array(APP_EG, APP_EG_CO_UK, APP_6C))): ?>
	 	grid.load();
	 	<? endif; ?>
	 }, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });



	if ($('btn-clear-handchecked-date'))
		new Cubix.Button($('btn-clear-handchecked-date'), { onClick: function () {
			$('f-hand-date-from').set('value', '');
			$('f-hand-date-to').set('value', '');
			$$('input[name=hand_verification_date_from]').set('value', '');
			$$('input[name=hand_verification_date_to]').set('value', '');
		}, icon: 'refresh', caption: 'Clear', classes: 'fleft mt15' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				/*else {
					input.addEvent('change', function(){
						grid.load();
					});
				}*/
			}
		});

		/*var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});*/
	};

	initFormSubmit();

	
});
</script>



<div class="form-common gray c-filter-form">
	

    <form id="a-search-form">
        <fieldset class="inner mb10">
                        <?php $__ev = '';
                        if (Cubix_Application::getId() == APP_ED) {
                            $__ev = 'onchange="getRegionsByCountry(this.value)"';
                        }; ?>


                        <legend>Geographical</legend>
                        <div class="inner">
                            <label for="f-country">Country</label>
                            <select <?= $__ev ?> id="f-country" name="country" class="w11">
                                <option value="">- any -</option>
                                <? if (Cubix_Application::getId() == APP_ED): ?>
                                    <option value="all_except_usa">- worldwide except USA -</option>
                                    <option value="all_except_usa_ca">- worldwide except USA/CA -</option>
                                    <option value="all_except_usa_fr">- worldwide except USA/France -</option>
                                <? endif; ?>
                                <? $model = new Model_Geography_Countries() ?>
                                <? $c = false; ?>
                                <? $countries_list = $model->ajaxGetAll(false); ?>
                                <? foreach ($countries_list as $country): ?>
                                    <? if (!$c && $country->ordering == 0): $c = true ?>
                                        <option value="" disabled="disabled">-----------------------</option>
                                    <? endif; ?>
                                    <option value="<?= $country->id ?>" <?= (Cubix_Application::getById($this->request()->application_id)->country_id == $country->id) ? 'selected="selected"' : '' ?>><?= $country->title ?></option>
                                <? endforeach; ?>
                            </select>
                        </div>

                        <? if (Cubix_Application::getId() == APP_ED): ?>
                            <div class="inner">
                                <label for="f-region">Region</label>
                                <select id="f-region" name="region" class="w16">
                                    <option value="">- any -</option>
                                    <? $model = new Model_Geography_Regions() ?>
                                    <? $c = false; ?>
                                    <? $regions_list = $model->ajaxGetAll(false); ?>
                                    <? foreach ($regions_list as $region): ?>
                                        <? if (!$c && $region->ordering == 0): $c = true ?>
                                            <option value="" disabled="disabled">-----------------------</option>
                                        <? endif; ?>

                                        <option value="<?= $region->id ?>" <?= (Cubix_Application::getById($this->request()->application_id)->country_id == $region->id) ? 'selected="selected"' : '' ?>><?= $region->title ?></option>
                                    <? endforeach; ?>
                                </select>
                            </div>

                            <div class="clear"></div>
                        <? endif; ?>

                        <? if (Cubix_Application::getId() != APP_A6): ?>
                            <div class="inner">
                                <label for="f-city-criteria">City criteria</label>
                                <select id="f-city-criteria" name="city_criteria" class="w11">
                                    <option value="">- any -</option>
                                    <option value="with_active_ads">with active ads</option>
                                    <option value="with_no_active_ads">with no active ads</option>
                                </select>
                            </div>
                        <? endif; ?>

                        <div class="inner">
                            <label for="f-city">Base City</label>
                            <select id="f-city" name="city" class="w11" disabled="disabled"></select>
                        </div>

                        

                        <? if ( Cubix_Application::getId() == APP_ED ): ?>
                            <div class="inner" style="padding-top: 4px;margin-right: -42px">
                                <label><input type="checkbox" value="1" name="more_than_one_city"/><span style="display: inline-block;width: 56%;margin-left: 5px;"> With more than one city </span></label>
                                <label><input type="checkbox" value="1" name="search_in_all_cities"/><span style="display: inline-block;width: 56%;margin-left: 5px;margin-top:8px;"> Search in all cities </span></label>
                            </div>
                        <? endif; ?>
                    

                        <div class="clear"></div>
                    </fieldset>

                     <fieldset class="inner mb10">
                        <legend>Date</legend>

                        <div class="inner">
                            <label for="f-filter-by">Filter By</label>
                            <select id="f-filter-by" name="filter_by" class="w14 f-filter-by">
                                <option value=""> - any -</option>
                                <option value="did_login" <?= ($this->filter_params['filter_by'] == 'did_login') ? 'selected="selected"' : '' ?> >
                                    Did login
                                </option>
                                <option value="did_not_login" <?= ($this->filter_params['filter_by'] == 'did_not_login') ? 'selected="selected"' : '' ?> >
                                    Didn't login
                                </option>
                                <option value="one_login" <?= ($this->filter_params['filter_by'] == 'one_login') ? 'selected="selected"' : '' ?> >
                                    One login
                                </option>
                                <option value="last_modified_date" <?= ($this->filter_params['filter_by'] == 'last_modified_date') ? 'selected="selected"' : '' ?> >
                                    Last Modified Date
                                </option>
                               
                            </select>
                        </div>

                        <div class="inner">
                            <label>
                                <span>Date:</span>
                            </label>
                            <select id="f-dates-defined" name="dates_defined" class="w14 f-dates-defined"
                                    disabled="disabled">
                                <option value=""> - any -</option>
                                <option value="today">Today</option>
                                <option value="yesterday">Yesterday</option>
                                <option value="last_7_days">Last 7 Days</option>
                                <option value="this_month">This Month</option>
                                <option value="last_month">Last Month</option>
                            </select>
                        </div>
                        <div class="clear"></div>
                        <div class="inner">
                            <label>
                                <span>From</span>
                            </label>
                            <input id="f-date-from" type="text" class="txt w128 f-date-from" name="date_from" value=""
                                   disabled="disabled"/>
                        </div>

                        <div class="inner" style="padding-top: 25px">
                            <span> - </span>
                        </div>

                        <div class="inner">
                            <label>
                                <span>To</span>
                            </label>
                            <input id="f-date-to" type="text" class="txt w128 f-date-to" name="date_to" value=""
                                   disabled="disabled"/>
                        </div>
                        <div class="clear"></div>
                      
                        <div class="clear"></div>


                    </fieldset>
                    <fieldset class="inner mb10">
                        <legend>Website</legend>
                        <div class="inner">
                            <label for="f-website">Website</label>
                            <select id="f-website" name="has_web" class="w11" style="margin-right: 10px;">
                                <option value="">- no matter -&nbsp;&nbsp;</option>
                                <option value="1">Has &nbsp;&nbsp;</option>
                                <option value="2">Doesn't have &nbsp;&nbsp;</option>
                            </select>
                        </div>
                        <div class="inner" style="padding-top: 20px;">
                            <label><input type="checkbox" value="1" name="site_not_working" /><span> Site not working </span></label>
                        </div>
                    </fieldset>
                    <fieldset class="inner mb10">
                        <legend>Type</legend>
                                <div class="inner">
                                    <label for="f-escort-type">Escort Type</label>
                                    <?= $this->selectBox('escort_type', 'f-escort-type', array('agency' => 'Agency', 'independent' => 'Independent'), 'w10', $this->filter_params['escort_type'], 'any') ?>
                                </div>
                    </fieldset>
                    <fieldset class="inner mb10">
                    <legend>Sales Person and Date Entry User</legend>
                        <div class="inner">
                            <label for="f-sales-person">Sales Person</label>
                            <select name="sales_user_id" id="f-sales-person" class="w10">
                                <option value=""> - any -</option>
                                <option value="-1"> - No Sales -</option>
                                <? $model = new Model_Moderators();
                                foreach ($model->getByApplicationId($this->request()->application_id) as $user): ?>
                                    <option value="<?= $user->id ?>" <?= ($this->filter_params['sales_user_id'] == $user->id) ? 'selected="selected"' : '' ?> ><?= $user->username ?></option>
                                <? endforeach; ?>
                            </select>

                            <label for="entry_person">Data Entry User</label>
                            <select name="data_entry_id" id="entry_person" class="w16">
                                <option value="">- - -</option>
                                <? $model = new Model_Moderators(); foreach ( $model->getByApplicationId(Cubix_Application::getId()) as $user ): ?>
                                    <option value="<?= $user->id ?>"><?= $user->username ?></option>
                                <? endforeach; ?>
                            </select>
                        </div>
                    </fieldset>


    </form>


	<div class="actions-box">
		<div class="c" style="width: 200px;">
			<a id="btn-refresh"></a>
			<a id="btn-reset"></a>
			
		</div>
		<div id="grid-show-count" class="fleft ml20 mt5"><span></span> - Escorts Found</div>
       
		<div class="clear"></div>
	</div>
	
</div>
   
<? if ( Model_Users::can('edit-escort-profile') ): ?>
<div class="mt10 fleft" style="width: 997px;">
	<a id="btn-create"></a>
    <a id="btn-create-fast"></a>
	<? if (Cubix_Application::getId() == APP_EF): ?>
	<a id="btn-create-fast-simple"></a>	
	<? endif; ?>
	<a id='btn-multiple-retouch'></a>
	<? if (!in_array($bu_user->type, array( 'moderator', 'moderator plus')) ): ?>
	<a id='btn-delete'></a>
	<? endif;?>
	<a id='btn-send-sms'></a>
	<? if (Cubix_Application::getId() != APP_A6): ?>
		<a id='btn-urgent-message'></a>
		<? if ($bu_user->type == "superadmin" || $bu_user->type == "admin" || $bu_user->type == "data entry plus"): ?>
		<a id='btn-send-mail'></a>
		<? endif; ?>
	<? endif; ?>
		
	<? if(Cubix_Application::getId() == APP_6A): ?>	
		<a id="btn-show-gallery"></a>
		<? if ($bu_user->type =="superadmin" || $bu_user->type =="admin"): ?>
		<a id="btn-about_me_inform"></a>
		<? endif; ?>
	<? endif; ?>
	<? if (in_array(Cubix_Application::getId(), array(APP_ED, APP_EM, APP_EG, APP_EG_CO_UK, APP_6B, APP_6C))): ?>
		<a id='btn-add-admin-comment'></a>
	<? endif; ?>

	<? if (in_array(Cubix_Application::getId(), array(APP_6B, APP_6C, APP_EG, APP_EG_CO_UK, APP_ED))): ?>
		<a id='btn-add-hand-verification-date'></a>
	<? endif; ?>

    <? if (in_array(Cubix_Application::getId(), array(APP_6B, APP_EG_CO_UK, APP_ED)) && $bu_user->type == 'superadmin'): ?>
		<a id='btn-assign-to-multiple'></a>
	<? endif; ?>

    <? if (in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK, APP_6B))): ?>
        <a id='btn-mark-as-featured'></a>
    <? endif; ?>

	<? if (in_array(Cubix_Application::getId(), array(APP_ED, APP_EM))): ?>
		<a id='btn-generate-password'></a>
	<? endif; ?>
		
	<? if (Cubix_Application::getId() == APP_EF && $bu_user->type == "superadmin" ): ?>
		<a id='btn-age-certify'></a>
	<? endif; ?>		
	<div class="clear"></div>
</div>
<? endif ?>

<? if ( array_key_exists(Cubix_Application::getId(), Cubix_EscortCopier::getSupportedApplications()) && Model_Users::can('edit-escort-profile') ): ?>
<div class="mt10" style="float:right;">
	<? if ( in_array(Cubix_Application::getId(), array(APP_EF,APP_BL,APP_6B,APP_EG_CO_UK, APP_ED)) && $bu_user->type =="superadmin"): ?>
		<a id="btn-set-popunder"></a>
	<? endif;?>
	<? if ( Cubix_Application::getId() != APP_A6 && Cubix_Application::getId() != APP_A6_AT && $bu_user->type =="superadmin"): ?>
		<a id="btn-activate"></a>
		<a id="btn-disable"></a>
	<? endif;?>
	<? if ( (in_array(Cubix_Application::getId(),array(APP_ED,APP_EG_CO_UK,APP_EG,APP_AE,APP_6C,APP_EF,APP_BL)))
			 && $bu_user->type =="superadmin"): ?>
		<a id="btn-owner-disable"></a>
	<? endif;?>
    <? if (in_array(Cubix_Application::getId(), array(APP_ED, APP_EG_CO_UK)) && $bu_user->type =="superadmin") :?>
        <a id="btn-set-inactive"></a>
    <? endif;?>
	<a id="btn-copy-to"></a>
	<div class="clear"></div>
</div>
<? endif ?>

<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
<style>
    .cx-grid table thead th {
        background-size: 1px 55px;
    }
</style>